This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998907 - canDoAction fails when removing imported vm from export domain
canDoAction fails when removing imported vm from export domain
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Maor
Leonid Natapov
storage
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 06:33 EDT by Jakub Libosvar
Modified: 2016-02-10 11:33 EST (History)
10 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+


Attachments (Terms of Use)
engine vdsm logs (23.42 KB, application/gzip)
2013-08-20 06:33 EDT, Jakub Libosvar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18416 None None None Never

  None (edit)
Description Jakub Libosvar 2013-08-20 06:33:47 EDT
Created attachment 788409 [details]
engine vdsm logs

Description of problem:
Vm on export domain cannot be removed after it's imported as a clone

2013-08-20 10:16:17,640 INFO  [org.ovirt.engine.core.bll.RemoveVmFromImportExportCommand] (ajp-/127.0.0.1:8702-6) [1a368439] Failed to Acquire Lock to object EngineLock [exclusiveLocks= key: ab3308df-dd66-4ef9-a3df-38b316f9b082 value: REMOTE_VM
, sharedLocks= ]
2013-08-20 10:16:17,641 WARN  [org.ovirt.engine.core.bll.RemoveVmFromImportExportCommand] (ajp-/127.0.0.1:8702-6) [1a368439] CanDoAction of action RemoveVmFromImportExport failed. Reasons:VAR__ACTION__REMOVE,VAR__TYPE__VM,ACTION_TYPE_FAILED_VM_IS_BEING_IMPORTED,$VmName ccc


Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.15.master.el6ev.noarch
vdsm-4.12.0-61.git8178ec2.el6ev.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have a vm on export domain
2. Import vm with clone checkbox checked
3. After import is finished, try to remove vm from export domain

Actual results:
Fails

Expected results:
Vm is removed

Additional info:
There are no hang tasks or jobs in DB.
Comment 3 Leonid Natapov 2013-09-17 05:18:09 EDT
is14. works.
Comment 4 Itamar Heim 2014-01-21 17:11:54 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.